TextInputControlSkin.TextUnit (JavaFX 27)
Description: declaration: module: javafx.controls, package: javafx.scene.control.skin, class: TextInputControlSkin, enum: TextUnit

# Enum Class TextInputControlSkin.TextUnit

java.lang.Object
java.lang.Enum<TextInputControlSkin.TextUnit>
javafx.scene.control.skin.TextInputControlSkin.TextUnit

All Implemented Interfaces:
  `Serializable, Comparable<TextInputControlSkin.TextUnit>, Constable`

Enclosing class:
  `TextInputControlSkin<T extends TextInputControl>`

public static enum TextInputControlSkin.TextUnit extends Enum<TextInputControlSkin.TextUnit>
Unit names for caret movement.

Since:
  9
See Also:
  - `TextInputControlSkin.moveCaret(TextUnit, Direction, boolean)`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHARACTER`
  Character unit
  `LINE`
  Line unit
  `PAGE`
  Page unit
  `PARAGRAPH`
  Paragraph unit
  `WORD`
  Word unit

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextInputControlSkin.TextUnit`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextInputControlSkin.TextUnit[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CHARACTER

    public static final TextInputControlSkin.TextUnit CHARACTER
    Character unit

  - ### WORD

    public static final TextInputControlSkin.TextUnit WORD
    Word unit

  - ### LINE

    public static final TextInputControlSkin.TextUnit LINE
    Line unit

  - ### PARAGRAPH

    public static final TextInputControlSkin.TextUnit PARAGRAPH
    Paragraph unit

  - ### PAGE

    public static final TextInputControlSkin.TextUnit PAGE
    Page unit

- ## Method Details

  - ### values

    public static TextInputControlSkin.TextUnit[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextInputControlSkin.TextUnit valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null